# all files / ol/format/filter/ spatial.js

100% Statements 9/9
50% Branches 1/2
100% Functions 1/1
100% Lines 9/9

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
    32
    33
    34
    35
    36
    37
    38
    39
    40
    41
    42
    43
    441×

    1×
    1×

    1×

    2×

    2×

    2×

    2×

    1×
     goog.provide('ol.format.filter.Spatial');

    goog.require('ol');
    goog.require('ol.format.filter.Filter');

    /**
     * @classdesc
     * Represents a spatial operator to test whether a geometry-valued property
     * relates to a given geometry.
     *
     * @constructor
     * @param {!string} tagName The XML tag name for this filter.
     * @param {!string} geometryName Geometry name to use.
     * @param {!ol.geom.Geometry} geometry Geometry.
     * @param {string=} opt_srsName SRS name. No srsName attribute will be
     *    set on geometries when this is not provided.
     * @extends {ol.format.filter.Filter}
     * @api
     */
    ol.format.filter.Spatial = function(tagName, geometryName, geometry, opt_srsName) {

      ol.format.filter.Filter.call(this, tagName);

      /**
       * @public
       * @type {!string}
       */
      this.geometryName = geometryName || 'the_geom';

      /**
       * @public
       * @type {ol.geom.Geometry}
       */
      this.geometry = geometry;

      /**
       * @public
       * @type {string|undefined}
       */
      this.srsName = opt_srsName;
    };
    ol.inherits(ol.format.filter.Spatial, ol.format.filter.Filter);